﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace InitializeTemplateAddRecordIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();


            BindingList<Item> items = new BindingList<Item>();
            for (int i = 0; i < 10;i++ )
                items.Add(new Item("Item "+i, i));

            xdg.DataSource = items;
        }

        private void xdg_InitializeTemplateAddRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeTemplateAddRecordEventArgs e)
        {
            e.TemplateAddRecord.SetCellValue(e.TemplateAddRecord.FieldLayout.Fields[0], 100);
            e.TemplateAddRecord.SetCellValue(e.TemplateAddRecord.FieldLayout.Fields[1], "new item");
        }
    }



    public class Item
    {
        public int Id { set; get; }
        public string Name { set; get; }        
        public Item() { }
        public Item(string n, int i)
        {
            Name = n;
            Id = i;
        }
    }
}
